FROM golang:alpine AS builder
RUN apk update && apk add --no-cache git
WORKDIR $GOPATH/src/bitedu/class-service
COPY . .
RUN go get -d -v
RUN go build -o /bitedu/class-service

FROM builder
COPY --from=builder /bitedu/class-service /bitedu/class-service
ENTRYPOINT ["/bitedu/class-service"]